DartSassHost 1.0.11

There is a newer version of this package available.
See the version list below for details.
dotnet add package DartSassHost --version 1.0.11
NuGet\Install-Package DartSassHost -Version 1.0.11
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="DartSassHost" Version="1.0.11" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add DartSassHost --version 1.0.11
#r "nuget: DartSassHost, 1.0.11"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install DartSassHost as a Cake Addin
#addin nuget:?package=DartSassHost&version=1.0.11

// Install DartSassHost as a Cake Tool
#tool nuget:?package=DartSassHost&version=1.0.11

.NET wrapper around the Dart Sass (https://github.com/sass/dart-sass) version 1.70.0 with the ability to support a virtual file system.

Since the original library is written in JavaScript, you will need a JS engine to run it. As a JS engine is used the JavaScript Engine Switcher library (https://github.com/Taritsyn/JavaScriptEngineSwitcher). For correct working, you need to install one of the following NuGet packages:

* JavaScriptEngineSwitcher.ChakraCore
* JavaScriptEngineSwitcher.Jint
* JavaScriptEngineSwitcher.Msie (only in the Chakra “Edge” JsRT mode)
* JavaScriptEngineSwitcher.V8

After installing the packages, you will need to register the default JS engine (https://github.com/Taritsyn/JavaScriptEngineSwitcher/wiki/Registration-of-JS-engines).

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 is compatible.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp1.0 was computed.  netcoreapp1.1 was computed.  netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 is compatible. 
.NET Standard netstandard1.3 is compatible.  netstandard1.4 was computed.  netstandard1.5 was computed.  netstandard1.6 was computed.  netstandard2.0 is compatible.  netstandard2.1 is compatible. 
.NET Framework net40-client is compatible.  net45 is compatible.  net451 was computed.  net452 was computed.  net46 was computed.  net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 is compatible.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen30 was computed.  tizen40 was computed.  tizen60 was computed. 
Universal Windows Platform uap was computed.  uap10.0 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (3)

Showing the top 3 NuGet packages that depend on DartSassHost:

Package Downloads
BundleTransformer.SassAndScss The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

BundleTransformer.SassAndScss contains one translator-adapter - `SassAndScssTranslator`. This adapter makes translation of Sass and SCSS code to CSS code by using the Dart Sass Host for .NET (https://github.com/Taritsyn/DartSassHost) version 1.0.10 (supports the Dart Sass (https://github.com/sass/dart-sass) version 1.69.7). Also contains the `SassAndScssAssetHandler` debugging HTTP handler, which is responsible for text output of translated Sass or SCSS asset. As a JS engine is used the JavaScript Engine Switcher library (https://github.com/Taritsyn/JavaScriptEngineSwitcher). For correct working of this module, you need to install one of the following NuGet packages: * JavaScriptEngineSwitcher.ChakraCore * JavaScriptEngineSwitcher.Jint * JavaScriptEngineSwitcher.Msie (only in the Chakra “Edge” JsRT mode) * JavaScriptEngineSwitcher.V8 After installing the packages, you will need to register the default JS engine (https://github.com/Taritsyn/JavaScriptEngineSwitcher/wiki/Registration-of-JS-engines).

LigerShark.WebOptimizer.Sass The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

Compiles Sass and Scss files for the LigerShark.WebOptimizer.Core system.

vamdemofeed

Package Description

GitHub repositories (1)

Showing the top 1 popular GitHub repositories that depend on DartSassHost:

Repository Stars
excubo-ag/WebCompiler
Version Downloads Last updated
1.0.12 392 3/22/2024
1.0.11 2,750 2/16/2024
1.0.10 17,237 1/7/2024
1.0.9 298 1/5/2024
1.0.8 6,344 10/19/2023
1.0.7 1,172 9/26/2023
1.0.6 5,463 8/25/2023
1.0.5 7,320 7/27/2023
1.0.4 10,201 6/15/2023
1.0.3 3,157 4/26/2023
1.0.2 10,499 3/9/2023
1.0.1 112,979 12/26/2022
1.0.0 4,061 12/18/2022
1.0.0-preview9 3,950 12/9/2022
1.0.0-preview8 5,261 7/13/2022
1.0.0-preview7 10,217 11/5/2021
1.0.0-preview6 1,214 9/8/2021
1.0.0-preview5 199,233 9/1/2021
1.0.0-preview4 3,837 8/12/2021
1.0.0-preview3 5,228 7/29/2021
1.0.0-preview2 680 7/23/2021
1.0.0-preview1 573 7/22/2021

1. Added support for the Dart Sass version 1.70.0;
2. JS files are now bundled and minified by using the Google Closure Compiler to improve performance.